# SolrQuery::addSortField

(PECL solr >= 0.9.2)

SolrQuery::addSortField — Used to control how the results should be sorted

### Beschreibung

public SolrQuery::addSortField(string `$field`, int `$order` = SolrQuery::ORDER_DESC): SolrQuery

Used to control how the results should be sorted.

### Parameter-Liste

`field`

  The name of the field

`order`

  The sort direction. This should be either SolrQuery::ORDER_ASC or SolrQuery::ORDER_DESC.

### Rückgabewerte

Returns the current SolrQuery object.

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open